%global rcver %{nil}

Name:		libgadu
Version:	1.12.2
Release:    1%{?dist}
Summary:	A Gadu-gadu protocol compatible communications library
License:	LGPLv2
Source0:	https://github.com/wojtekka/libgadu/releases/download/%{version}%{?rcver}/libgadu-%{version}%{?rcver}.tar.gz
Patch0:	libgadu-1.12.2-gcc10.patch
Patch1: %{name}-fix-openssl-symbol-clash.patch
URL:		http://libgadu.net/
BuildRequires:  gcc
BuildRequires:	curl-devel
BuildRequires:	doxygen
BuildRequires:	expat-devel
BuildRequires:	gnutls-devel
BuildRequires:	gsm-devel
BuildRequires:	libxml2-devel
BuildRequires:	protobuf-c-devel >= 1.0.0
BuildRequires:	speex-devel
BuildRequires:	zlib-devel
BuildRequires:  perl-Test-Vars
BuildRequires: make

%description
libgadu is intended to make it easy to add Gadu-Gadu communication
support to your software.

%description -l pl
libgadu umożliwia łatwe dodanie do różnych aplikacji komunikacji
bazującej na protokole Gadu-Gadu.

%package devel
Summary:	Libgadu development library
Summary(es):	Biblioteca de desarrollo de libgadu
Summary(pl):	Część biblioteki libgadu dla programistów
Requires:	libgadu = %{version}-%{release}
Requires:	pkgconfig

%description devel
The libgadu-devel package contains the header files necessary
to develop applications with libgadu.

%description devel -l pl
Pakiet libgadu-devel zawiera pliki nagłówkowe potrzebne
do kompilowania aplikacji korzystających z libgadu.

%package doc
Summary:	Libgadu library developer documentation
Summary(pl):	Dokumentacja biblioteki libgadu dla programistów
Requires:	libgadu = %{version}-%{release}
BuildArch:	noarch

%description doc
The libgadu-doc package contains the documentation for the
libgadu library.

%description doc -l pl
Pakiet libgadu-doc zawiera dokumentację biblioteki libgadu.

%prep
%setup -q -n %{name}-%{version}%{?rcver}
%patch0 -p1 -b .gcc10
%patch1 -p1 -b .openssl

touch packets.proto

%build
%configure \
	--disable-silent-rules \
	--disable-static \
	--without-openssl \
	--with-pthread

make %{?_smp_mflags}

%install
make install INSTALL="install -p" DESTDIR=%{buildroot}

rm -f %{buildroot}%{_libdir}/*.la

%check
make check

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc AUTHORS COPYING ChangeLog README
%{_libdir}/libgadu.so.*

%files devel
%{_libdir}/libgadu.so
%{_includedir}/libgadu.h
%{_libdir}/pkgconfig/*

%files doc
%doc docs/protocol.html docs/html

%changelog
* Wed Jul 24 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.12.2-1
- initial build
